*, 
*:after,
*:before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Commun */ 

body {
    background-color: #fefefe;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2.5rem;
}

h3 {
    font-size: 3rem;
}

.app-meteo {
    min-height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    position: relative;
    overflow: hidden;
    transition: 500ms;
    opacity: 0;
}

.background-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.app-meteo::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 0;
}

/* Partie température */

.container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-direction: column;
    padding: 2em 3em 4em 3em;
    z-index: 1;
}

.logo {
    height: 10rem;
}

.title {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 10rem;
}

.horaire-ville,
.temperature,
.meteo {
    margin: 0 1em;
}

.horaire-ville {
    text-align: left;
}

.horaire-ville h1 {
    margin: 0;
    margin-bottom: 0.2em;
    font-size: 3em;
}

.temperature {
    font-size: 7em;
    margin: 0;
}

.meteo img {
    display: block;
    margin: 0.5em 0;
}

.weather-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 1em;
    padding-left: 7rem;
}

.info-meteo {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em; 
}

/* Paries recharche et infos */

.informations {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    top: 11%;
    right: 10%;
    gap: 25px;
    height: 70%;
    width: 30%;
    color: white;
    z-index: 2;
}


.informations form {
    display: flex;
    width: 100%;
    justify-content: center;
    padding-bottom: 3rem;
}

.search {
    flex: 1;
    padding: 10px;
    border-radius: 20px 0 0 20px;
    border: none;
    outline: none;
    font-size: 1rem;
}

.submit {
    background: #fade3f;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    transition: 0.3s;
    color: #000;
}

.submit:hover {
    background: #ac8e0c;
}


.villes,
.details {
    width: 100%;
    list-style: none;
    padding: 15px;
    border-radius: 10px;
}

.villes h4,
.details h4 {
    text-align: center;
    margin-bottom: 10px;
    font-size: 1.1rem;
    text-transform: uppercase;
}

.details li {
    display: flex;
    justify-content: space-between;
    font-size: 1.2rem;
    padding-bottom: 1.2rem;
    text-shadow:
        -1px -1px 0 #000,
         1px -1px 0 #000,
        -1px  1px 0 #000,
         1px  1px 0 #000;
}

.villes li {
    display: flex;
    justify-content: center;
    font-size: 1.2rem;
    padding-bottom: 1.2rem;
    align-items: center;
    padding-top: 1rem;
    text-shadow:
        -1px -1px 0 #000,
         1px -1px 0 #000,
        -1px  1px 0 #000,
         1px  1px 0 #000;
}


.villes li.ville:hover {
    color: #fade3f;
    cursor: pointer;
}